@charset "UTF-8";
@import "https://assets.codepen.io/3351103/__reset.css";
@import url("https://fonts.googleapis.com/css2?family=Poppins:wght@200;300;400;500&display=swap");
:root {
  --nav-bg-color: rgb(21, 21, 21);
  --toggle-color: rgb(221, 221, 221);
  --toggle-bg-color: rgb(40 40 40);
  --nav-link-bg-color-01: rgb(50 50 50);
  --nav-link-bg-color-02: rgb(30 30 30);
  --nav-link-bg-color-03: rgb(15 15 15);
  --nav-link-color: hsl(0 0% 90%);
  --nav-secondary-color: rgb(255, 193, 7);
  --nav-caret-color: var(--nav-secondary-color);
  --nav-hover-color: hsl(0 0% 90%);
  --nav-bg-hover-color-01: rgb(209, 59, 45);
  --ff-body: "Poppins", sans-serif;
  --ff-nav: "Poppins", sans-serif;
  --fw-200: 200;
  --fw-300: 300;
  --fw-400: 400;
  --fw-500: 500;
  --fs-300: .9rem;
  --fs-400: .95rem;
  --fs-500: 1.2rem;
  --calc-height: auto;
  --calc-transition-delay: 500ms;
  --dropdown-indent: 0px;
  --burger-width: 40px;
  --mobile-break: 63em;
}

.cd__main{
    background: linear-gradient(to right, #005aa7, #fffde4) !important;
}

body {
  display: grid;
  justify-items: center;
  height: 100%;
  padding: 1rem;
  font-family: var(--ff-body);
  font-weight: var(--fw-300);
  font-size: var(--fs-400);
  background-color: var(--nav-bg-color);
}

ul {
  list-style: none;
  margin: 0;
}

a {
  cursor: pointer;
}

#accordion {
  width: 100%;
  max-width: var(--mobile-break);
  height: fit-content;
  color: var(--nav-link-color);
  font-size: var(--fs-300);
  /* dropdown links level 1 */
  /* dropdown links level 2 */
  /* dropdown links level 3 */
}
#accordion [hidden] {
  margin: 0;
}
#accordion a {
  display: block;
  padding: 0.75rem 0;
  font-family: var(--ff-nav);
  text-align: center;
  color: var(--nav-link-color);
  transition: color 150ms, background-color 150ms;
}
#accordion ul > li > a {
  background-color: var(--nav-link-bg-color-01);
}
#accordion ul ul > li > a {
  background-color: var(--nav-link-bg-color-02);
}
#accordion ul ul ul > li > a {
  background-color: var(--nav-link-bg-color-03);
}
#accordion ul > li > a:hover {
  color: var(--nav-hover-color);
  background-color: var(--nav-bg-hover-color-01);
}
#accordion .toggle-button {
  display: block;
  padding: 0.75rem 1rem;
  color: var(--toggle-color);
  background-color: var(--toggle-bg-color);
  cursor: pointer;
  user-select: none;
}
#accordion .dropdown-menu {
  position: relative;
  height: 0;
  overflow: hidden;
  padding-left: var(--dropdown-indent);
  transition: height var(--calc-transition-delay);
}
#accordion .toggle:checked ~ .dropdown-menu {
  height: var(--calc-height);
}
#accordion .caret:after {
  content: "▼";
  font-size: 0.9rem;
  line-height: 1;
  display: inline-block;
  color: var(--nav-caret-color);
  transform: rotatez(-90deg);
  transition: transform 150ms linear;
}
#accordion .toggle:checked + .caret:after {
  transform: rotatez(0deg);
}

.logo {
  position: relative;
  top: 0px;
  /* left: 20px; */
  text-align: center;
  font-size: 1.2rem;
  color: #b60f0f;
}

/* ---- burger toggle ----- */
nav .burger {
  display: grid;
  place-content: center;
  width: var(--burger-width);
  height: calc(var(--burger-width) * .8);
  border: 2px solid var(--nav-secondary-color);
  border-radius: 4px;
  cursor: pointer;
  float: right;
}
nav .burger [class^=line] {
  width: 26px;
  height: 2px;
  margin-bottom: 5px;
  background-color: var(--nav-secondary-color);
  transition: transform 0.2s ease-out;
}
nav .burger .line3 {
  margin-bottom: 0px;
}
nav .burger:hover .line1 {
  transform: translate(0px, 2px);
}
nav .burger:hover .line3 {
  transform: translate(0px, -2px);
}
nav .burger-toggle:checked + .toggle-button .burger .line1 {
  transform: rotate(45deg) translate(5px, 5px);
}
nav .burger-toggle:checked + .toggle-button .burger .line2 {
  opacity: 0;
}
nav .burger-toggle:checked + .toggle-button .burger .line3 {
  transform: rotate(-45deg) translate(5px, -5px);
}

/* ---- END burger toggle ----- */
/* ---- some custom styling ---- */
#accordion {
  --nav-link-bg-color-01: hsl(200 80% 13%);
  --nav-link-bg-color-02: hsl(200 80% 11%);
  --nav-link-bg-color-03: hsl(200 80% 9%);
  --nav-link-color: hsl(0 0% 90%);
  --nav-secondary-color: hsl(11 100% 65%);
  --nav-caret-color: hsl(11 100% 65%);
  --toggle-bg-color: hsl(200 80% 15%);
  --fs-300: .95rem;
  --burger-width: 36px;
  --mobile-break: 63em;
}
#accordion .burger {
  margin: 0.15rem 0;
}
#accordion a {
  text-align: left;
}
#accordion .bi {
  margin-right: 5px;
}
#accordion .toggle:checked + .toggle-button .bi {
  color: var(--nav-secondary-color);
}
#accordion .lvl-1 a, #accordion .lvl-1 .toggle-button {
  padding-left: 1.5rem;
}
#accordion .lvl-2 a, #accordion .lvl-2 .toggle-button {
  padding-left: 2.5rem;
}
#accordion .lvl-3, .lvl-3 a {
  padding-left: 3.0rem;
}

#accordion .lvl-4 a {
  padding-left: 4.0rem;
}

/*
  NEW STUFF..........................
*/
/* @import url('https://fonts.googleapis.com/css2?family=IBM+Plex+Sans:wght@300;400;500;600;700&display=swap');
*/

:root {
  --color-bg: #EEEDEB;
  --color-title: #0E1C4E;
  
  --color-summary-1: #FFF6EE;
  --color-summary-1-highlight: #c41120;
  --color-summary-2: #FAFAFF;
  --color-summary-2-highlight: #1e4c09;
  --color-summary-3: #FFF0F3;
  --color-summary-3-highlight: #FFB3C0;
  
  --font-ibm-plex-sans: 'IBM Plex Sans', sans-serif;
}

/* html,
body {
  overflow: auto;
  min-height: 100vh;
  width: 100%;
  background: var(--color-bg);
  display: flex;
  align-items: center;
  justify-content: center;
} */


.card {
  background: white;
  padding: 20px 16px;
  padding-right: 0px;
  margin-top: 20px;
  margin-bottom: 20px;
  border-radius: 4px;
  box-shadow: 0 8px 10px rgba(0, 0, 0, .1);
  max-width: 60em;
  width: 100%;
  
  h1 {
    font-family: var(--font-ibm-plex-sans);
    font-style: normal;
    font-weight: bold;
    font-size: 20px;
    line-height: 1.2;
    color: var(--color-title);
    margin-bottom: 20px;
  }
  
  details {
    display: flex;
    flex-direction: column;
    
    border-radius: 5px;
    overflow: hidden;
    background: rgba(0, 0, 0, .05);
    border-left: 15px solid gray;
    padding:15px;
    padding-right: 0px;
    padding-left: 0px;
    & {
      margin-top: 15px;
    }
    
    &.warning {
       --highlight: var(--color-summary-1-highlight) ;
      background: var(--color-summary-1);
      border-left-color: var(--color-summary-1-highlight);
      p {
        list-style-type: corona-warning;
      }
    }
    
    &.info {
       --highlight: var(--color-summary-2-highlight) ;
      background: var(--color-summary-2);
      border-left-color: var(--color-summary-2-highlight);
      p {
        list-style-type: corona-info;
      }
    }
    
    &.alert {
      --highlight: var(--color-summary-3-highlight) ;
      background: var(--color-summary-3);
      border-left-color: var(--highlight);
      p {
        list-style-type: corona-alert;
      }
    }
    
    summary,p {
      position:relative;
      display:flex;
      flex-direction:row;
      align-content: center;
      justify-content: flex-start;
      font-family: var(--font-ibm-plex-sans);
      font-style: normal;
      font-weight: normal;
      font-size: 18px;
      color: var(--color-title);
      padding: 10px;
      cursor:pointer;
      &::-webkit-details-marker {
        display:none;
      }
      &:focus {
        outline: solid 3px var(--highlight);
      }
      &::selection {
        background-color:var(--highlight);
      }
    }

    summary {
      color: red;
    }

    p  {
      display: flex;
      flex-wrap: wrap;
      gap: 15px;
      flex-direction: row;
      align-content: flex-start;
      cursor:default;
  /*    margin-left:3rem;  
      list-style-type: corona; */
     }
    
     span {
       display:block;
     }  

    summary::before {
      cursor: pointer;
      position:absolute;
      display:inline-flex;
      width:1rem;
      height:1rem;
      left: 0rem;
      margin-right:.5rem;
      content: url("data:image/svg+xml,%3Csvg width='100%' height='100%' viewBox='0 0 24 24' fill='none' xmlns='http://www.w3.org/2000/svg'%3E%3Cpath d='M22.6066 12H1.3934' stroke='%23202842' stroke-width='1.875' stroke-linecap='round' stroke-linejoin='round'/%3E%3Cpath d='M12 1.39343V22.6066' stroke='%23202842' stroke-width='1.875' stroke-linecap='round' stroke-linejoin='round'/%3E%3C/svg%3E%0A");

    }
    
    &[open] {
      summary {
        
        font-weight: 700;

        &::before {
          transform: rotate(45deg);
          content: url("data:image/svg+xml,%3Csvg width='100%' height='100%' viewBox='0 0 24 24' fill='none' xmlns='http://www.w3.org/2000/svg'%3E%3Cpath d='M22.6066 12H1.3934' stroke='%23202842' stroke-width='3.6' stroke-linecap='round' stroke-linejoin='round'/%3E%3Cpath d='M12 1.39343V22.6066' stroke='%23202842' stroke-width='3.6' stroke-linecap='round' stroke-linejoin='round'/%3E%3C/svg%3E%0A");
        }
      }
    }
  }
}

.editnewline {
  align-items: start;
}

.telno {
  margin-left: auto;
  color: blue;
  text-decoration: underline;
}

.restname {
  font-weight: bold;
  min-width: 10rem;
} 

@counter-style corona-warning {
  system: cyclic;
  symbols: 🧼 🩺 👩🏻‍⚕️ 🚑;
  suffix: " ";
}
@counter-style corona-info {
  system: cyclic;
  symbols: 🧬;
  suffix: " ";
}
@counter-style corona-alert {
  system: fixed;
  symbols: 💉 🩸 😷 🦠 🧫;
  suffix: " ";
}

.insertnewrest {
	border-style:solid;
	border-width:thin;
	border-color:#666;
  margin-top: 20px;
	margin-bottom: 20px;
  padding-top: 20px;
  color:#FFB3C0;
}

.newresth2 {
  font-family: var(--font-ibm-plex-sans);
  font-style: normal;
  font-weight: bold;
  font-size: 20px;
  line-height: 1.2;
/*  color: var(--color-title); */
  margin-bottom: 20px;
  text-align: center;
}